
function [S]=quadratura_random(N)
% Esempio di quadratura di una funzione definita in [0,1/2], 
% utilizzando nodi random. 

x=rand(N,1);
i_in=find(x >=0 & x <= 0.5);
x_in=x(i_in);

f=@(x) exp(x);

y=f(x_in);

S=sum(y)/N;